Skip to Content
SeyloDocs
API referenceUptime checks

Update an uptime check

POST
/api/v1/uptime.update

Changes an uptime check's settings or pauses it (enabled false). Omitted fields keep their value.

Needs services.alerts on the service (a grant on its project covers it). Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$
checkId*string

Panel-issued id.

Match^[a-z0-9]{16}$
name?string
Length1 <= length <= 60
url?string
Match^https?://[^\s]+$
Lengthlength <= 2048
method?string|string
expectedStatus?integer
Range0 <= value <= 599
intervalSeconds?integer
Range30 <= value <= 86400
timeoutMs?integer
Range1000 <= value <= 60000
failureThreshold?integer
Range1 <= value <= 10
keyword?|null
maxLatencyMs?|null
enabled?boolean

Response Body

Success.

application/json
  1. response
id*string

Panel-issued id.

Match^[a-z0-9]{16}$
serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$
projectId*string

Panel-issued id.

Match^[a-z0-9]{16}$
name*string
Length1 <= length <= 60
url*string
Match^https?://[^\s]+$
Lengthlength <= 2048
method*string|string
expectedStatus*integer
Range0 <= value <= 599
intervalSeconds*integer
Range30 <= value <= 86400
timeoutMs*integer
Range1000 <= value <= 60000
failureThreshold*integer
Range1 <= value <= 10
keyword*|null
maxLatencyMs*|null
enabled*boolean
status*string|string|string|string
statusSince*|null
lastCheckedAt*|null
lastStatusCode*integer|null
lastLatencyMs*|null
lastError*string|null
uptime24h*|null
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/uptime.update' \  -H 'Content-Type: application/json' \  -d '{  "serviceId": "string",  "checkId": "string"}'
Example Response
{  "id": "string",  "serviceId": "string",  "projectId": "string",  "name": "string",  "url": "string",  "method": "GET",  "expectedStatus": 0,  "intervalSeconds": 30,  "timeoutMs": 1000,  "failureThreshold": 1,  "keyword": "string",  "maxLatencyMs": 1,  "enabled": true,  "status": "up",  "statusSince": "2019-08-24T14:15:22Z",  "lastCheckedAt": "2019-08-24T14:15:22Z",  "lastStatusCode": 0,  "lastLatencyMs": 0,  "lastError": "string",  "uptime24h": 0,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}